Skip to main content
POST
Generate Hosted Checkout Payment Link

Authorizations

Authorization
string
header
required

Pass your secret API key formatted as: Authorization: Bearer psa_...

Headers

Idempotency-Key
string

Unique UUID/string to prevent duplicate invoice creation on retries.

Example:

"7b9e8f1a-3c2d-4e5f-6a7b-8c9d0e1f2a3b"

Body

application/json
storeHashId
string
required

Your store 12-char hash ID

Example:

"0bHQn0bU2dei"

apiKeyId
integer
required

Numeric API Key ID

Example:

42

amount
number
required

Total amount in fiat currency

Example:

49.99

currency
string
default:USD

ISO 4217 Currency (USD, EUR, TRY, GBP)

Example:

"USD"

customer_email
string<email>
Example:

"buyer@example.com"

description
string
Example:

"API Store Service Order #1042"

redirect_url
string<uri>
Example:

"https://yourdomain.com/checkout/success"

expires_in
integer
default:1440

Expiration period in minutes (default 1440)

Response

Payment link invoice created successfully

success
boolean
Example:

true

invoice
object
checkout_url
string<uri>
Example:

"https://app.papelship.com/checkout-gateway/aB9xK12Lp9012345678901234"